## org.apache.xerces.xni.parser
Interface XMLDTDContentModelFilter

All Superinterfaces:
  XMLDTDContentModelHandler, XMLDTDContentModelSource

    public interface XMLDTDContentModelFilter

extends XMLDTDContentModelHandler, XMLDTDContentModelSource

Defines a DTD content model filter that acts as both a receiver and an emitter of DTD content model events.

Version:
  $Id: XMLDTDContentModelFilter.java 319806 2004-02-24 23:15:58Z mrglavas $
Author:
  Andy Clark, IBM

Field Summary

Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Method Summary

Methods inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler
`any, element, empty, endContentModel, endGroup, getDTDContentModelSource, occurrence, pcdata, separator, setDTDContentModelSource, startContentModel, startGroup`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDTDContentModelSource
`getDTDContentModelHandler, setDTDContentModelHandler`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.